
spool C:\Users\Administrator\Desktop\MSB\change_op.txt
set echo on; 

ALTER SYSTEM SET AUDIT_TRAIL = XML SCOPE = SPFILE;
ALTER SYSTEM SET GLOBAL_NAMES = TRUE SCOPE = SPFILE;
ALTER SYSTEM SET REMOTE_LOGIN_PASSWORDFILE = 'NONE' SCOPE = SPFILE;
ALTER SYSTEM SET SEC_PROTOCOL_ERROR_TRACE_ACTION=LOG SCOPE = SPFILE;
ALTER SYSTEM SET "_trace_files_public" = FALSE SCOPE = SPFILE;
DROP PUBLIC DATABASE LINK DBMS_CLRDBLINK;
REVOKE EXECUTE ON DBMS_LDAP FROM PUBLIC; 
REVOKE EXECUTE ON UTL_INADDR FROM PUBLIC; 
REVOKE EXECUTE ON UTL_TCP FROM PUBLIC; 
REVOKE EXECUTE ON UTL_MAIL FROM PUBLIC; 
REVOKE EXECUTE ON UTL_SMTP FROM PUBLIC;
REVOKE EXECUTE ON UTL_DBWS FROM PUBLIC; 
REVOKE EXECUTE ON UTL_ORAMTS FROM PUBLIC; 
REVOKE EXECUTE ON UTL_HTTP FROM PUBLIC;
REVOKE EXECUTE ON HTTPURITYPE FROM PUBLIC;
REVOKE EXECUTE ON DBMS_ADVISOR FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_LOB FROM PUBLIC;
REVOKE EXECUTE ON UTL_FILE FROM PUBLIC;
REVOKE EXECUTE ON DBMS_ADVISOR FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_LOB FROM PUBLIC;
REVOKE EXECUTE ON UTL_FILE FROM PUBLIC;
REVOKE EXECUTE ON DBMS_CRYPTO FROM PUBLIC;
REVOKE EXECUTE ON DBMS_OBFUSCATION_TOOLKIT FROM PUBLIC;
REVOKE EXECUTE ON DBMS_RANDOM FROM PUBLIC;
REVOKE EXECUTE ON DBMS_JAVA FROM PUBLIC;
REVOKE EXECUTE ON DBMS_JAVA_TEST FROM PUBLIC;
REVOKE EXECUTE ON DBMS_JOB FROM PUBLIC;
REVOKE EXECUTE ON DBMS_SCHEDULER FROM PUBLIC;
REVOKE EXECUTE ON DBMS_SQL FROM PUBLIC;
REVOKE EXECUTE ON DBMS_XMLGEN FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_XMLQUERY FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_XMLSAVE FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_XMLSTORE FROM PUBLIC;
REVOKE EXECUTE ON DBMS_AW FROM PUBLIC;
REVOKE EXECUTE ON OWA_UTIL FROM PUBLIC;
REVOKE EXECUTE ON DBMS_REDACT FROM PUBLIC;
REVOKE EXECUTE ON DBMS_BACKUP_RESTORE FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_FILE_TRANSFER FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_SYS_SQL FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_REPCAT_SQL_UTL FROM PUBLIC;
REVOKE EXECUTE ON INITJVMAUX FROM PUBLIC; 
REVOKE EXECUTE ON DBMS_AQADM_SYS FROM PUBLIC;
REVOKE EXECUTE ON DBMS_STREAMS_RPC FROM PUBLIC;
REVOKE EXECUTE ON DBMS_PRVTAQIM FROM PUBLIC;
REVOKE EXECUTE ON LTADM FROM PUBLIC;
REVOKE EXECUTE ON DBMS_IJOB FROM PUBLIC;
REVOKE EXECUTE ON DBMS_PDB_EXEC_SQL FROM PUBLIC;
REVOKE ALL ON SYS.CDB_LOCAL_ADMINAUTH$ FROM PUBLIC;
REVOKE ALL ON SYS.DEFAULT_PWD$ FROM PUBLIC;
REVOKE ALL ON SYS.ENC$ FROM PUBLIC;
REVOKE ALL ON SYS.HISTGRM$ FROM PUBLIC;
REVOKE ALL ON SYS.HIST_HEAD$ FROM PUBLIC;
REVOKE ALL ON SYS.LINK$ FROM PUBLIC;
REVOKE ALL ON SYS.PDB_SYNC$ FROM PUBLIC;
REVOKE ALL ON SYS.SCHEDULER$_CREDENTIAL FROM PUBLIC;
REVOKE ALL ON SYS.USER$ FROM PUBLIC;
REVOKE ALL ON SYS.USER_HISTORY$ FROM PUBLIC;
REVOKE ALL ON SYS.XS$VERIFIERS FROM PUBLIC;

AUDIT PROCEDURE;
AUDIT ALL ON SYS.AUD$ BY ACCESS;
AUDIT DROP ANY PROCEDURE;
AUDIT GRANT ANY PRIVILEGE;
AUDIT GRANT ANY OBJECT PRIVILEGE;
AUDIT SELECT ANY DICTIONARY;
AUDIT DIRECTORY;
AUDIT SYNONYM;
AUDIT PUBLIC SYNONYM;
AUDIT PUBLIC DATABASE LINK;
AUDIT DATABASE LINK;
AUDIT PROFILE;
AUDIT SYSTEM GRANT;
AUDIT ROLE;
AUDIT USER;
AUDIT ALTER SYSTEM;
AUDIT TRIGGER;
AUDIT SESSION;

spool off
C:\Users\Administrator\Desktop\MSB\change_op.txt
